Loading...
Searching...
No Matches
SimpleCamera.h File Reference

A simple camera class with a Cal3_S2 calibration. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::PinholeCameraCal3_S2 = gtsam::PinholeCamera<gtsam::Cal3_S2>
| Convenient aliases for Pinhole camera classes with different calibrations.
using | gtsam::PinholeCameraCal3Bundler = gtsam::PinholeCamera<gtsam::Cal3Bundler>
using | gtsam::PinholeCameraCal3DS2 = gtsam::PinholeCamera<gtsam::Cal3DS2>
using | gtsam::PinholeCameraCal3Unified = gtsam::PinholeCamera<gtsam::Cal3Unified>
using | gtsam::PinholeCameraCal3Fisheye = gtsam::PinholeCamera<gtsam::Cal3Fisheye>

## Detailed Description

A simple camera class with a Cal3_S2 calibration.

Date
  Aug 16, 2009

Author
  Frank Dellaert